%global _hardened_build 1
%define gitea_user git
%define gitea_group git
%define gitea_home /var/lib/gitea/
%define gitea_logdir /var/log/gitea/
%define debug_package %{nil}

Name         : gitea
Version      : 1.9.1
Release      : 1%{dist}
License      : MIT
URL          : http://gitea.io
Summary      : Git with a cup of tea
Source0      : gitea.service
Source1      : gitea.logrotate
BuildRequires: golang
BuildRequires: git
Requires     : git


%description
Gitea is a community managed fork of Gogs, lightweight code hosting solution written in Go and published under the MIT license.


%prep
%setup -T -q -c %{name}-%{version}
export GOPATH=`pwd`
go get -u -v code.gitea.io/gitea


%build
export GOPATH=`pwd`
cd src/code.gitea.io/gitea
rm -rf src/code.gitea.io/gitea
git checkout tags/v%{version}
sed -i 's|^var Version = "1.[0-9].[0-9]-dev"$|var Version = "'%{version}'"|g' main.go
GO111MODULE=on go build -v -ldflags '-extldflags -s -w -buildid '%{version}' -X "main.Version='%{version}'"'
sed -i 's|^STATIC_ROOT_PATH =$|STATIC_ROOT_PATH = /usr/share/gitea/templates/default/|g' custom/conf/app.ini.sample
sed -i 's|^ROOT =$|ROOT = /var/lib/gitea/repositories/|g' custom/conf/app.ini.sample
sed -i 's|^APP_DATA_PATH = data$|APP_DATA_PATH = /var/lib/gitea/data|g' custom/conf/app.ini.sample
sed -i 's|^PROVIDER_CONFIG = data/sessions$|PROVIDER_CONFIG = /var/lib/gitea/data/sessions|g' custom/conf/app.ini.sample
sed -i 's|^AVATAR_UPLOAD_PATH = data/avatars$|AVATAR_UPLOAD_PATH = /var/lib/gitea/data/avatars|g' custom/conf/app.ini.sample
sed -i 's|^PATH = data/attachments$|PATH = /var/lib/gitea/data/attachments|g' custom/conf/app.ini.sample
sed -i 's|^ROOT_PATH =$|ROOT_PATH  = /var/log/gitea|g' custom/conf/app.ini.sample
sed -i 's|^TEMP_PATH = data/tmp/uploads$|TEMP_PATH = /var/lib/gitea/data/tmp/uploads|g' custom/conf/app.ini.sample


%install
install -p -D -m 0644 %{SOURCE0} %{buildroot}%{_unitdir}/gitea.service
mkdir -p %{buildroot}/%{gitea_home}/conf/
install -p -D -m 0644 src/code.gitea.io/gitea/custom/conf/app.ini.sample %{buildroot}%{gitea_home}/conf/app.ini
cp -r src/code.gitea.io/gitea/options/locale %{buildroot}%{gitea_home}/conf/
cp -r src/code.gitea.io/gitea/options/license %{buildroot}%{gitea_home}/conf/
cp -r src/code.gitea.io/gitea/options/label %{buildroot}%{gitea_home}/conf/
cp -r src/code.gitea.io/gitea/options/readme %{buildroot}%{gitea_home}/conf/
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/gitea
mkdir -p %{buildroot}%{_datadir}/%{name}/templates/default/
cp -r src/code.gitea.io/gitea/templates %{buildroot}%{_datadir}/%{name}/templates/default/
cp -r src/code.gitea.io/gitea/public %{buildroot}%{_datadir}/%{name}/templates/default/
install -p -D -m 0555 src/code.gitea.io/gitea/gitea %{buildroot}%{_bindir}/gitea
install -p -d -m 0700 %{buildroot}%{gitea_home}
install -p -d -m 0700 %{buildroot}%{gitea_logdir}


%pre
getent group %{gitea_group} > /dev/null || groupadd -r %{gitea_group}
getent passwd %{gitea_user} > /dev/null || \
    useradd -r -d %{gitea_home} -g %{gitea_group} \
    -s /bin/bash -c "git user" %{gitea_user}
exit 0


%post
%systemd_post gitea.service


%preun
%systemd_preun gitea.service


%postun
%systemd_postun gitea.service


%files
%config(noreplace) %{gitea_home}/conf/app.ini
%{gitea_home}/conf/locale/*
%{gitea_home}/conf/license/*
%{gitea_home}/conf/label/*
%{gitea_home}/conf/readme/*
%{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/gitea
%{_unitdir}/gitea.service
%{_datadir}/%{name}/templates/
%attr(700,%{gitea_user},%{gitea_group}) %dir %{gitea_home}
%attr(700,%{gitea_user},%{gitea_group}) %dir %{gitea_logdir}


%changelog
